<?php
/**
 * @file
 *
 * Theme functions.
 */

/**
 * Implements theme_fieldset()
 */
function p6_base_fieldset($element) {
  if (!empty($element['#collapsible'])) {
    drupal_add_js('misc/collapse.js');

    if (!isset($element['#attributes']['class'])) {
      $element['#attributes']['class'] = '';
    }

    $element['#attributes']['class'] .= ' collapsible';
    if (!empty($element['#collapsed'])) {
      $element['#attributes']['class'] .= ' collapsed';
    }
  }

  return '<fieldset' . drupal_attributes($element['#attributes']) . '>' .
        ($element['#title'] ? '<legend><span>' . $element['#title'] . '</span></legend>' : '') .
        (isset($element['#description']) && $element['#description'] ? '<div class="description">' . $element['#description'] . '</div>' : '') .
        (!empty($element['#children']) ? $element['#children'] : '') .
        (isset($element['#value']) ? $element['#value'] : '') .
        "</fieldset>";
}
